{
  "name": "cows-web",
  "version": "1.0.0",
  "license": "NFR",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "node --max_old_space_size=4096 node_modules/@angular/cli/bin/ng build",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "post-build": "node ./build/post-build.js"
  },
  "scriptsComments": {
    "build": "ng build NODE_OPTIONS=--max_old_space_size=4096 webpack --config webpack.config.js",
    "build:ssr": "npm run build -- --app=ssr --aot --buildOptimizer --output-hashing=all",
    "update:packages": "node wipe-dependencies.js && rm -rf node_modules && npm update --save-dev && npm update --save"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^8.2.14",
    "@angular/cdk": "^8.1.4",
    "@angular/common": "^8.2.14",
    "@angular/compiler": "^8.2.14",
    "@angular/compiler-cli": "^8.2.14",
    "@angular/core": "^8.2.14",
    "@angular/forms": "^8.2.14",
    "@angular/material": "^8.2.3",
    "@angular/platform-browser": "^8.2.14",
    "@angular/router": "^8.2.14",
    "@angular/tsc-wrapped": "^4.4.6",
    "@hapi/hapi": "^18.4.0",
    "@hapi/hawk": "^7.1.2",
    "@hapi/hoek": "^8.5.0",
    "@hapi/sntp": "^3.1.2",
    "@ngtools/webpack": "^8.3.21",
    "@types/moment-timezone": "^0.5.12",
    "ajv": "^6.10.0",
    "bootstrap": "^4.4.1",
    "braces": "^3.0.2",
    "browserslist": "^4.8.3",
    "core-js": "^3.6.2",
    "devextreme": "21.2.4",
    "devextreme-angular": "21.2.4",
    "devextreme-schematics": "^1.0.12",
    "extract-text-webpack-plugin": "^3.0.2",
    "file-saver": "^2.0.2",
    "flatten": "^1.0.3",
    "font-awesome": "^4.7.0",
    "hapi": "^18.1.0",
    "hoek": "^6.1.3",
    "html-webpack-plugin": "^3.2.0",
    "jquery": "^3.4.1",
    "js-yaml": "^3.13.1",
    "karma-webpack": "^4.0.2",
    "lodash": "^4.17.15",
    "mime": "^2.4.4",
    "minimatch": "^3.0.4",
    "moment": "^2.24.0",
    "ngx-spinner": "^8.1.0",
    "node-html-parser": "^1.1.16",
    "popper.js": "^1.14.7",
    "quill": "^1.3.6",
    "rxjs-compat": "^6.5.4",
    "terser-webpack-plugin": "^1.4.3",
    "tsickle": "^0.36.0",
    "typescript-string-operations": "^1.3.1",
    "zone.js": "^0.9.1"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^0.803.21",
    "@angular/cli": "8.3.10",
    "@angular/platform-browser-dynamic": "^8.2.14",
    "@types/file-saver": "*",
    "@types/jasmine": "^3.5.0",
    "@types/jasminewd2": "*",
    "@types/node": "12.7.4",
    "jasmine-core": "3.4.0",
    "jasmine-spec-reporter": "4.2.1",
    "karma": "^4.4.1",
    "karma-chrome-launcher": "3.1.0",
    "karma-cli": "2.0.0",
    "karma-coverage-istanbul-reporter": "^2.1.1",
    "karma-jasmine": "^3.0.1",
    "karma-jasmine-html-reporter": "^1.5.1",
    "mini-css-extract-plugin": "^0.8.2",
    "protractor": "^6.0.0",
    "rxjs": "^6.5.4",
    "terser": "^3.16.1",
    "ts-node": "^8.5.4",
    "typescript": "^3.5.3"
  },
  "optionalDependencies": {
    "node-sass": "^4.11.0"
  }
}
